Skip to main content
GET
/
v1
/
analyses
/
{analysis_id}
Get an analysis
curl --request GET \
  --url https://api.passu.ai/v1/analyses/{analysis_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "analysis_type": "EARNINGS",
  "scope": {
    "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "scope_type": "EVENT"
  },
  "updated_at": "2023-11-07T05:31:56Z",
  "sections": [
    {
      "section_type": "OPERATIONAL_SUMMARY",
      "sentences": [
        {
          "text": "<string>",
          "quotes": [
            {
              "quote_type": "TEXT",
              "text": "<string>",
              "author": "<string>",
              "title": "<string>",
              "table_name": "<string>",
              "row_names": [
                "<string>"
              ]
            }
          ]
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysis_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
analysis_type
enum<string>
required
Available options:
EARNINGS,
CONFERENCE,
NEWS,
COMPANY_QUARTERLY,
SECTOR_QUARTERLY
scope
EventAnalysisScope · object
required
updated_at
string<date-time>
required
sections
AnalysisSection · object[]